Bug 348021 - Port ptlib to use NSS library for cryptography
Port ptlib to use NSS library for cryptography
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ptlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:22 EDT by Peter Vrabec
Modified: 2010-11-30 08:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 08:27:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:22:17 EDT
pwlib should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Daniel Veillard 2007-10-23 07:52:47 EDT
Details seems to imply a local fork of the code for Fedora, this doesn't
seems viable unless you accept to take the responsability for the forked
package. I won't mess with security related code, see my comment #5 in
the tracking bug,

Daniel
Comment 2 John Poelstra 2008-08-27 23:38:30 EDT
What is the next step for this bug?
Comment 3 Peter Robinson 2008-10-09 16:35:00 EDT
Moving this to ptlib component as pwlib is now replaced by it.

I suspect the best way forward would be to provide patches to upstream with options to use openssl or nss.
Comment 4 Peter Robinson 2010-11-30 08:27:13 EST
Closing as a won't fix unless someone provides a patch.

Note You need to log in before you can comment on or make changes to this bug.